couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sho Fukamachi <sho.fukama...@gmail.com>
Subject Re: can't install on RHEL4 anymore - SOLVED
Date Sun, 23 Mar 2008 18:07:13 GMT
Hi all,

thanks to help in the IRC channel I was able to satisfy dependencies  
and successfully install CouchDB on RHEL4 x86_64.

Here's the step by step. I decided to write it down from step 1  
although i actually didn't install erlang anew this time round.

1. install erlang

wget http://www.erlang.org/download/otp_src_R12B-1.tar.gz
tar xzvf otp_src_R12B-1.tar.gz
cd otp_src_R12B-1
./configure && make && sudo make install
cd ..

2. install other dependencies. you'll need EPEL (http://fedoraproject.org/wiki/EPEL/ 
)

yum install icu libicu-devel

3. install spidermonkey

wget http://ftp.mozilla.org/pub/mozilla.org/js/js-1.7.0.tar.gz
tar xzvf js-1.7.0.tar.gz
cd js/src/
JS_DIST=/usr/local/spidermonkey-1.7 make -f Makefile.ref export
cd ..
cd ..

4. install couch

svn checkout http://couchdb.googlecode.com/svn/trunk/ couchdb
cd couchdb
./bootstrap
./configure --with-js-lib=/usr/local/spidermonkey-1.7/lib64 --with-js- 
include=/usr/local/spidermonkey-1.7/include
make && make install
cd ..

5. run

couchdb

Thank you very much for the help. I don't have wiki access so maybe  
someone can copy it in there to assist future  RHEL4 users ..

Sho
Mime
View raw message